> For the complete documentation index, see [llms.txt](https://docs.projectlarix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projectlarix.com/contract/technical-resources/state.md).

# State

#### struct LendingMarket

* description: Lending market state
* variable:&#x20;

> ```rust
> /// Version of lending market
> pub version: u8,
> /// Bump seed for derived authority address
> pub bump_seed: u8,
> /// Owner authority which can add new reserves
> pub owner: Pubkey,
> /// Currency market prices are quoted in
> /// e.g. "USD" null padded (`*b"USD\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"`) or a SPL token mint pubkey
> pub quote_currency: [u8; 32],
> /// Token program id
> pub token_program_id: Pubkey,
> /// Oracle (Pyth) program id
> pub oracle_program_id: Pubkey,
> ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.projectlarix.com/contract/technical-resources/state.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
